unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, NMUUE, ComCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Label2: TLabel;
    Edit2: TEdit;
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    Button2: TButton;
    NMUUProcessor1: TNMUUProcessor;
    OpenDialog1: TOpenDialog;
    StatusBar1: TStatusBar;
    procedure Button2Click(Sender: TObject);
    procedure NMUUProcessor1BeginDecode(Sender: TObject);
    procedure NMUUProcessor1BeginEncode(Sender: TObject);
    procedure NMUUProcessor1EndDecode(Sender: TObject);
    procedure NMUUProcessor1EndEncode(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button2Click(Sender: TObject);
// ""
var
  InStream,
  OutStream: TFileStream;
begin
  InStream := TFileStream.Create(Edit1.Text, fmOpenRead);
  OutStream := TFileStream.Create(Edit2.Text, fmCreate);
  try
   If RadioGroup2.ItemIndex=1 then
       NMUUProcessor1.Method := uuMIME
   else
       NMUUProcessor1.Method := uuCode;
   NMUUProcessor1.InputStream := InStream;
   NMUUProcessor1.OutputStream := OutStream;
   If RadioGroup1.ItemIndex=0 then
       NMUUProcessor1.Encode
   else
       NMUUProcessor1.Decode;
  finally
    InStream.Free;
    OutStream.Free;
  end;
end;

procedure TForm1.NMUUProcessor1BeginDecode(Sender: TObject);
begin
  StatusBar1.SimpleText := ' ';
end;

procedure TForm1.NMUUProcessor1BeginEncode(Sender: TObject);
begin
  StatusBar1.SimpleText := ' ';
end;

procedure TForm1.NMUUProcessor1EndDecode(Sender: TObject);
begin
  StatusBar1.SimpleText := ' ';
end;

procedure TForm1.NMUUProcessor1EndEncode(Sender: TObject);
begin
  StatusBar1.SimpleText := ' ';
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  If OpenDialog1.Execute then
    Edit1.Text := OpenDialog1.FileName;
end;

end.
